// Code generated by protoc-gen-go-grpc. DO NOT EDIT.
// versions:
// - protoc-gen-go-grpc v1.3.0
// - protoc             v3.21.9
// source: com/ruijc/qingniao/protocol/verification.proto

package protocol

import (
	context "context"
	verification "gitlab.com/ruijc/qingniao/core/verification"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

const (
	Verification_Code_FullMethodName = "/com.ruijc.qingniao.protocol.Verification/Code"
)

// VerificationClient is the client API for Verification service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type VerificationClient interface {
	// 验证码
	Code(ctx context.Context, in *verification.CodeReq, opts ...grpc.CallOption) (*verification.CodeRsp, error)
}

type verificationClient struct {
	cc grpc.ClientConnInterface
}

func NewVerificationClient(cc grpc.ClientConnInterface) VerificationClient {
	return &verificationClient{cc}
}

func (c *verificationClient) Code(ctx context.Context, in *verification.CodeReq, opts ...grpc.CallOption) (*verification.CodeRsp, error) {
	out := new(verification.CodeRsp)
	err := c.cc.Invoke(ctx, Verification_Code_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// VerificationServer is the server API for Verification service.
// All implementations must embed UnimplementedVerificationServer
// for forward compatibility
type VerificationServer interface {
	// 验证码
	Code(context.Context, *verification.CodeReq) (*verification.CodeRsp, error)
	mustEmbedUnimplementedVerificationServer()
}

// UnimplementedVerificationServer must be embedded to have forward compatible implementations.
type UnimplementedVerificationServer struct {
}

func (UnimplementedVerificationServer) Code(context.Context, *verification.CodeReq) (*verification.CodeRsp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Code not implemented")
}
func (UnimplementedVerificationServer) mustEmbedUnimplementedVerificationServer() {}

// UnsafeVerificationServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to VerificationServer will
// result in compilation errors.
type UnsafeVerificationServer interface {
	mustEmbedUnimplementedVerificationServer()
}

func RegisterVerificationServer(s grpc.ServiceRegistrar, srv VerificationServer) {
	s.RegisterService(&Verification_ServiceDesc, srv)
}

func _Verification_Code_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(verification.CodeReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VerificationServer).Code(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: Verification_Code_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VerificationServer).Code(ctx, req.(*verification.CodeReq))
	}
	return interceptor(ctx, in, info, handler)
}

// Verification_ServiceDesc is the grpc.ServiceDesc for Verification service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var Verification_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "com.ruijc.qingniao.protocol.Verification",
	HandlerType: (*VerificationServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Code",
			Handler:    _Verification_Code_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "com/ruijc/qingniao/protocol/verification.proto",
}
